unit uPresupuestosClienteViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uViewConfiguracionRegistryUtils, 
  uViewConfiguracionDocCocina, uViewConfiguracionDocArmario, uViewConfiguracionDocBano,
  uViewConfiguracionDocElectrodomestico, uViewConfiguracionDocVarios, uViewConfiguracionDocObra,
  uEditorRegistryUtils, uEditorPresupuestosCliente, uEditorPresupuestoCliente, uEditorElegirPresupuestosCliente,
  uEditorElegirArticulosPresupuestoCliente, uEditorPresupuestosClienteReport, uEditorAsignarDescuento;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorPresupuestosCliente, 'EditorPresupuestosCliente');
  EditorRegistry.RegisterClass(TfEditorPresupuestoCliente, 'EditorPresupuestoCliente');
  EditorRegistry.RegisterClass(TfEditorElegirPresupuestosCliente, 'EditorElegirPresupuestosCliente');
  EditorRegistry.RegisterClass(TfEditorElegirArticulosPresupuestoCliente, 'EditorElegirArticulosPresupuestosCliente');
  EditorRegistry.RegisterClass(TfEditorPresupuestosClientePreview, 'EditorPresupuestosClientePreview');
  EditorRegistry.RegisterClass(TfEditorAsignarDescuento, 'EditorAsignarDescuento');

  ViewConfiguracionRegistry.RegisterClass(TfrViewConfiguracionDocCocina, 'Documento Cocina');
  ViewConfiguracionRegistry.RegisterClass(TfrViewConfiguracionDocArmario, 'Documento Armario');
  ViewConfiguracionRegistry.RegisterClass(TfrViewConfiguracionDocBano, 'Documento Baño');
  ViewConfiguracionRegistry.RegisterClass(TfrViewConfiguracionDocElectrodomestico, 'Documento Electrodoméstico');
  ViewConfiguracionRegistry.RegisterClass(TfrViewConfiguracionDocVarios, 'Documento Varios');
  ViewConfiguracionRegistry.RegisterClass(TfrViewConfiguracionDocObra, 'Documento Obra');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorPresupuestosCliente);
  EditorRegistry.UnRegisterClass(TfEditorPresupuestoCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirPresupuestosCliente);
  EditorRegistry.UnRegisterClass(TfEditorElegirArticulosPresupuestoCliente);
  EditorRegistry.UnRegisterClass(TfEditorPresupuestosClientePreview);
  EditorRegistry.UnRegisterClass(TfEditorAsignarDescuento);

  ViewConfiguracionRegistry.UnRegisterClass(TfrViewConfiguracionDocCocina);
  ViewConfiguracionRegistry.UnRegisterClass(TfrViewConfiguracionDocArmario);
  ViewConfiguracionRegistry.UnRegisterClass(TfrViewConfiguracionDocBano);
  ViewConfiguracionRegistry.UnRegisterClass(TfrViewConfiguracionDocElectrodomestico);
  ViewConfiguracionRegistry.UnRegisterClass(TfrViewConfiguracionDocVarios);
  ViewConfiguracionRegistry.UnRegisterClass(TfrViewConfiguracionDocObra);  
end;

end.

